package com.fjhx.mes.entity.task.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 任务明细工序过程
 * </p>
 *
 * @author 
 * @since 2023-12-12
 */
@Getter
@Setter
@TableName("task_progress")
public class TaskProgress extends BasePo {

    /**
     * 生产任务明细id
     */
    private Long productionTaskDetailId;

    /**
     * 工序id
     */
    private Long processesId;

    /**
     * 完成状态 0未开始 1进行中 2已完成
     */
    private Integer status;

    /**
     * 负责人id
     */
    private Long personLiableId;

    /**
     * 接收时间
     */
    private Date receivedTime;

}
